//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Model/Types/VectorProperty.cpp
//! @brief     Implements class VectorProperty
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2021
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#include "GUI/Model/Types/VectorProperty.h"
#include <QUuid>

void VectorProperty::init(const QString& label, const QString& tooltip,
                          const variant<QString, Unit>& unit, const QString& persistentTag)
{
    m_persistentTag = persistentTag;
    m_uid = QUuid::createUuid().toString();

    m_descriptor.init(label, tooltip, &m_value, unit);
    m_descriptor.uid = [this] { return m_uid; };
}
